> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get traffic split

> Get the current traffic split configuration for all environments on the target assistant.



## OpenAPI

````yaml /specs/realtime/openapi.public.json get /v1alpha1/project/{projectID}/environment/traffic
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
paths:
  /v1alpha1/project/{projectID}/environment/traffic:
    get:
      tags:
        - EnvironmentPublicApi
        - Public-Docs
      summary: Get traffic split
      description: >-
        Get the current traffic split configuration for all environments on the
        target assistant.
      operationId: ProjectEnvironmentApiPublicHTTPController_getTraffic
      parameters:
        - name: projectID
          required: true
          in: path
          description: ID of the project that owns the environments.
          schema:
            type: string
      responses:
        '200':
          description: The current traffic split configuration, keyed by environment ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectEnvironmentTrafficResponse'
      security:
        - auth: []
components:
  schemas:
    ProjectEnvironmentTrafficResponse:
      type: object
      properties:
        data:
          type: object
          additionalProperties:
            type: number
            minimum: 0
            maximum: 100
      required:
        - data
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````